summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-02-20 22:20:50 +0000
committerdavidovski <david@davidovski.xyz>2022-02-20 22:20:50 +0000
commit2fcc1fa648b1594eda18935f9590a94971fae616 (patch)
tree5c1c3dd0cea2046addb6d2c0a21066bdf87487d5
parent89539c200bf93d53ee9b91b521c09bd4607e01d0 (diff)
added xi glyphv1.0
-rw-r--r--src/generate_colors.sh4
-rw-r--r--src/glyphs.sh3
-rw-r--r--src/hbar.c4
3 files changed, 6 insertions, 5 deletions
diff --git a/src/generate_colors.sh b/src/generate_colors.sh
index b9e862d..2f0bfcf 100644
--- a/src/generate_colors.sh
+++ b/src/generate_colors.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
PREFIX=$1
@@ -35,7 +35,7 @@ append_sh() {
}
while IFS= read -r line; do
- grep -q "." <<< "$line" || continue
+ echo "$line" | grep -q "." || continue
name=$(echo $line | awk '{ print $1 }')
code=$(echo $line | awk '{ print $2 }')
diff --git a/src/glyphs.sh b/src/glyphs.sh
index 56b5625..118b016 100644
--- a/src/glyphs.sh
+++ b/src/glyphs.sh
@@ -4,8 +4,9 @@
export CHECKMARK="✔"
export CROSSMARK="✘"
+export CROSSMARK="✘"
export HOURGLASS="⧖"
export LARGE_CIRCLE="◯"
export REFRESH="🗘"
export TABCHAR="╰┈➤ "
-
+export XI="Ξ"
diff --git a/src/hbar.c b/src/hbar.c
index 17840d8..64e91b7 100644
--- a/src/hbar.c
+++ b/src/hbar.c
@@ -118,7 +118,7 @@ int main (int argc, char **argv) {
printf(RESET "\r");
printf(color);
- for (int i = 0; i < width; i++) {
+ for (int i = 0; i <= width; i++) {
int reset_at = 0;
if (total > 0) {
float percent = (float) completed / (float) total;
@@ -139,7 +139,7 @@ int main (int argc, char **argv) {
}
if (line != -1) {
- printf("\033[%dB", line, 0);
+ printf("\033[%dB", line);
}
if (terminate) {
printf(RESET "\n");